Bug 1005524 - (ghc-random) Review Request: ghc-random - Random number library
Review Request: ghc-random - Random number library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Shakthi Kannan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-07 22:26 EDT by Jens Petersen
Modified: 2013-11-11 19:36 EST (History)
3 users (show)

See Also:
Fixed In Version: ghc-random-1.0.1.1-26.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-11 19:36:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shakthimaan: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2013-09-07 22:26:43 EDT
Spec URL: http://petersen.fedorapeople.org//ghc-random.spec
SRPM URL: http://petersen.fedorapeople.org//ghc-random-1.0.1.1-25.fc19.src.rpm

Description:
This package provides a basic random number generation library, including the
ability to split random number generators.
Comment 1 Jens Petersen 2013-09-07 22:26:48 EDT
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=5909484
Comment 2 Jens Petersen 2013-09-08 10:09:43 EDT
This is currently a subpackage of haskell-platform but I'd like
to separate it back to its own package to simplify the package
hierarchy.

Original review is bug 727410.
Comment 3 Jens Petersen 2013-10-15 21:22:28 EDT
Added static provides to devel package (cblrpm-0.8.6).

Spec: http://petersen.fedorapeople.org/reviews/ghc-random/ghc-random.spec
SRPM: http://petersen.fedorapeople.org/reviews/ghc-random/ghc-random-1.0.1.1-26.fc19.src.rpm
Comment 4 Shakthi Kannan 2013-10-25 07:51:29 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 225280 bytes in 17 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: ghc-random-1.0.1.1-26.fc19.x86_64.rpm
          ghc-random-devel-1.0.1.1-26.fc19.x86_64.rpm
          ghc-random-1.0.1.1-26.fc19.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

Rpmlint (installed packages)
----------------------------
# rpmlint ghc-random-devel ghc-random
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'

Requires
--------
ghc-random-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc(random-1.0.1.1-a214067181e8a7676a1be5e452419444)
    ghc-compiler
    ghc-devel(base-4.5.1.0-6e4c9bdc36eeb9121f27ccbbcb62e3f3)
    ghc-devel(time-1.4-d61e2caaa0486655b4e141dc277ed49f)
    ghc-random(x86-64)

ghc-random (rpmlib, GLIBC filtered):
    ghc(base-4.5.1.0-6e4c9bdc36eeb9121f27ccbbcb62e3f3)
    ghc(time-1.4-d61e2caaa0486655b4e141dc277ed49f)
    libHSarray-0.4.0.0-ghc7.4.2.so()(64bit)
    libHSbase-4.5.1.0-ghc7.4.2.so()(64bit)
    libHSdeepseq-1.3.0.0-ghc7.4.2.so()(64bit)
    libHSghc-prim-0.2.0.0-ghc7.4.2.so()(64bit)
    libHSinteger-gmp-0.4.0.0-ghc7.4.2.so()(64bit)
    libHSold-locale-1.0.0.4-ghc7.4.2.so()(64bit)
    libHStime-1.4-ghc7.4.2.so()(64bit)
    libc.so.6()(64bit)
    libgmp.so.10()(64bit)
    rtld(GNU_HASH)

Provides
--------
ghc-random-devel:
    ghc-devel(random-1.0.1.1-a214067181e8a7676a1be5e452419444)
    ghc-random-devel
    ghc-random-devel(x86-64)
    ghc-random-static

ghc-random:
    ghc(random-1.0.1.1-a214067181e8a7676a1be5e452419444)
    ghc-random
    ghc-random(x86-64)
    libHSrandom-1.0.1.1-ghc7.4.2.so()(64bit)

Unversioned so-files
--------------------
ghc-random: /usr/lib64/ghc-7.4.2/random-1.0.1.1/libHSrandom-1.0.1.1-ghc7.4.2.so

Source checksums
----------------
http://hackage.haskell.org/packages/archive/random/1.0.1.1/random-1.0.1.1.tar.gz :
  CHECKSUM(SHA256) this package     : df7c3b405de0ac27a2ee8fdc8dad87cb42e8eac01fef53861e43bc47c8111559
  CHECKSUM(SHA256) upstream package : df7c3b405de0ac27a2ee8fdc8dad87cb42e8eac01fef53861e43bc47c8111559

Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 1005524
Buildroot used: fedora-19-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

Successful Koji builds for F18, F19 and F20 respectively:

http://koji.fedoraproject.org/koji/taskinfo?taskID=6098014
http://koji.fedoraproject.org/koji/taskinfo?taskID=6098013
http://koji.fedoraproject.org/koji/taskinfo?taskID=6098015
Comment 5 Jens Petersen 2013-10-26 07:47:18 EDT
Thank you for reviewing the package.


Package Change Request
======================
Package Name: ghc-random
New Branches: f20 f19 f18 el6
Owners: petersen
InitialCC: haskell-sig
Comment 6 Jens Petersen 2013-10-28 05:02:49 EDT
Built for F21.
Comment 7 Gwyn Ciesla 2013-10-28 08:04:38 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2013-10-30 22:54:27 EDT
ghc-random-1.0.1.1-26.fc20,ghc-stm-2.4.2-25.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ghc-random-1.0.1.1-26.fc20,ghc-stm-2.4.2-25.fc20
Comment 9 Fedora Update System 2013-10-31 13:38:31 EDT
Package ghc-random-1.0.1.1-26.fc20, ghc-stm-2.4.2-25.fc20, haskell-platform-2013.2.0.0-26.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ghc-random-1.0.1.1-26.fc20 ghc-stm-2.4.2-25.fc20 haskell-platform-2013.2.0.0-26.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20381/haskell-platform-2013.2.0.0-26.fc20,ghc-random-1.0.1.1-26.fc20,ghc-stm-2.4.2-25.fc20
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2013-11-11 19:36:30 EST
ghc-random-1.0.1.1-26.fc20, ghc-stm-2.4.2-25.fc20, haskell-platform-2013.2.0.0-26.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.